/*******************************************************************************/
/*                                                                             */
/*    Copyright (c) 2007 Analog Devices, Inc.  All Rights Reserved.            */
/*    This software is proprietary to Analog Devices, Inc. and its 			   */
/*	  licensors.                                  							   */
/*                                                                             */
/*    CHANGES:  07/02/2007  1.00  - initial public release  				   */
/*																			   */
/*******************************************************************************/
//Enable one out of the 2 test cases

#define Benchmark1 //a simple MDMA example
//#define Benchmark2	//a more realistic example which involves several peripheral and DMA resources

#ifdef Benchmark1
	#define MEMDMA1_0	

//Enable one - either read or write
//	#define MDMA_SDRAM_Read
	#define MDMA_SDRAM_Write

//Optimizations
	#define BUS_WIDTH_32 //utilizing the full bus width
	
//change Src and destination DMA buffer addresses to test read and write accesses to SDRAM	in main.c
#endif

#ifdef Benchmark2

//Uncomment one of the 4 scenarios and add optimizations to evaluate throughput

/*====Scenario 1 - Baseline========================*/

/*
#define PPI0
#define PPI1
#define MEMDMA1_0
#define MEMDMA1_1
#define SPORT0_RECV
#define SPORT1_TRMT
//Without any optimizations the PPI would underflow. In order to evaluate the average throughput
//disable the PPI error interrupt in InitInterrupts.c
//
//Enable Optimizations one after the other
#define PACKENABLE
#define BUS_WIDTH_32 //Packing and Bus width 32 should enabled simultaneously
#define SEPERATE_BANKS
#define TRAFFICCONTROL1
*/

/*====Scenario 2 - Using DMAC 1=======================*/
/*
#define PPI0
#define PPI1
#define MEMDMA2_0
#define MEMDMA2_1
#define SPORT0_RECV
#define SPORT1_TRMT

//Enable Optimizations one after the other
#define PACKENABLE
#define BUS_WIDTH_32
#define SEPERATE_BANKS
#define TRAFFICCONTROL1
#define TRAFFICCONTROL2
*/



/*====Scenario 3 - Using DMAC 0 and DMAC 1=============*/
/*
#define PPI0
#define PPI1
#define MEMDMA2_0
#define MEMDMA2_1
#define MEMDMA1_0
#define MEMDMA1_1
#define SPORT0_RECV
#define SPORT1_TRMT

//Enable Optimizations one after the others
#define PACKENABLE
#define BUS_WIDTH_32
#define SEPERATE_BANKS
#define TRAFFICCONTROL1
*/
/*====Scenario 4 - Adding a tight core access to the external memory=====*/
/*
#define PPI0
#define PPI1
#define MEMDMA1_0
#define MEMDMA1_1
#define SPORT0_RECV
#define SPORT1_TRMT
#define EXTERNAL_CORE_ACCESS

//Enable Optimizations one after the other
#define PACKENABLE
#define BUS_WIDTH_32
#define SEPERATE_BANKS
#define TRAFFICCONTROL1
#define ENABLE_CDPRIO
*/
#endif


#ifdef BUS_WIDTH_32
	#define WD_SIZE 0x0008 //32 bit	
	#define TRANSFER_LENGTH 4
#else
	#define WD_SIZE 0x0000 //8 bit	
	#define TRANSFER_LENGTH 1
#endif

#define SPORT_BUFFER_SIZE 1024
#define BUFFER_SIZE 8192 //
#define MDMA_XCOUNT 512/TRANSFER_LENGTH //depends on buffer size
#define MDMA_YCOUNT 16 //depends on buffer size


#define CLKIN	  (30.0e6)		// clockin frequency in Hz
#define CORECLK  (600.0e6)		// core clock frequency in Hz
#define SYSCLK	  (120.0e6)		// system clock frequency in Hz

